Package com.arms.api.analysis.resource.service

## Class ResourceServiceImpl

- java.lang.Object
- - com.arms.api.analysis.resource.service.ResourceServiceImpl

- All Implemented Interfaces:
    `ResourceService`

      @Service
      public class ResourceServiceImpl
      extends java.lang.Object
      implements ResourceService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<TreemapExcelVO>` | `assigneeRequirementInvolvementDetailData​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)` |
    `java.util.List<UniqueAssigneeVO>` | `findAssigneesInfoData​(ResourceDTO resourceDTO)` |
    `java.util.List<HorizontalBarChartYAxisAndSeriesVO>` | `findHorizontalBarChartData​(ResourceDTO resourceDTO)` |
    `ReqAndNotReqHorizontalBarChartVO` | `findHorizontalBarChartDataBySameAccounts​(ResourceDTO resourceDTO)` |
    `ReqAndNotReqPieChartVO` | `findPieChartData​(ResourceDTO resourceDTO)` |
    `TotalIssueAndPieChartVO` | `findPieChartDataExpand​(ResourceDTO resourceDTO)` |
    `java.util.List<TreeMapWorkerVO>` | `findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)` |
    `java.util.List<WordCloudVO>` | `findWordCloudData​(ResourceDTO resourceDTO)` |
    `java.util.List<UniqueAssigneeIssueStatusVO>` | `issueStatusDataByAssignee​(ResourceDTO resourceDTO)` |
    `StackedHorizontalBarChartVO` | `issueStatusStackedBarChartData​(ResourceDTO resourceDTO)` |
    `SankeyData` | `sankeyChartAPIWithTopN​(ResourceDTO resourceDTO, java.lang.Integer topN)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceServiceImpl

          public ResourceServiceImpl()

  - ### Method Detail

    - #### issueStatusDataByAssignee

          public java.util.List<UniqueAssigneeIssueStatusVO> issueStatusDataByAssignee​(ResourceDTO resourceDTO)

      Specified by:
        `issueStatusDataByAssignee` in interface `ResourceService`

    - #### sankeyChartAPIWithTopN

          public SankeyData sankeyChartAPIWithTopN​(ResourceDTO resourceDTO,
                                                   java.lang.Integer topN)
                                            throws java.lang.Exception

      Specified by:
        `sankeyChartAPIWithTopN` in interface `ResourceService`
      Throws:
        `java.lang.Exception`

    - #### findTreeMapChartDataV3

          public java.util.List<TreeMapWorkerVO> findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)
                                                                 throws java.lang.Exception

      Specified by:
        `findTreeMapChartDataV3` in interface `ResourceService`
      Throws:
        `java.lang.Exception`

    - #### assigneeRequirementInvolvementDetailData

          public java.util.List<TreemapExcelVO> assigneeRequirementInvolvementDetailData​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)
                                                                                  throws java.lang.Exception

      Specified by:
        `assigneeRequirementInvolvementDetailData` in interface `ResourceService`
      Throws:
        `java.lang.Exception`

    - #### findAssigneesInfoData

          public java.util.List<UniqueAssigneeVO> findAssigneesInfoData​(ResourceDTO resourceDTO)
                                                                 throws java.lang.Exception

      Specified by:
        `findAssigneesInfoData` in interface `ResourceService`
      Throws:
        `java.lang.Exception`

    - #### findWordCloudData

          public java.util.List<WordCloudVO> findWordCloudData​(ResourceDTO resourceDTO)

      Specified by:
        `findWordCloudData` in interface `ResourceService`

    - #### issueStatusStackedBarChartData

          public StackedHorizontalBarChartVO issueStatusStackedBarChartData​(ResourceDTO resourceDTO)

      Specified by:
        `issueStatusStackedBarChartData` in interface `ResourceService`

    - #### findPieChartDataExpand

          public TotalIssueAndPieChartVO findPieChartDataExpand​(ResourceDTO resourceDTO)

      Specified by:
        `findPieChartDataExpand` in interface `ResourceService`

    - #### findPieChartData

          public ReqAndNotReqPieChartVO findPieChartData​(ResourceDTO resourceDTO)

      Specified by:
        `findPieChartData` in interface `ResourceService`

    - #### findHorizontalBarChartData

          public java.util.List<HorizontalBarChartYAxisAndSeriesVO> findHorizontalBarChartData​(ResourceDTO resourceDTO)

      Specified by:
        `findHorizontalBarChartData` in interface `ResourceService`

    - #### findHorizontalBarChartDataBySameAccounts

          public ReqAndNotReqHorizontalBarChartVO findHorizontalBarChartDataBySameAccounts​(ResourceDTO resourceDTO)

      Specified by:
        `findHorizontalBarChartDataBySameAccounts` in interface `ResourceService`